Bug 1893601 - overview filesystem utilization of OCP is showing the wrong values
Summary: overview filesystem utilization of OCP is showing the wrong values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Seth Jennings
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1812529 1894889 1896973 1900067 1910303 (view as bug list)
Depends On:
Blocks: 1899728
TreeView+ depends on / blocked
 
Reported: 2020-11-02 05:16 UTC by Vedanti Jaypurkar
Modified: 2021-02-24 15:29 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes an issue where the web console displayed incorrect filesystem capacity and usage data
Clone Of:
Environment:
Last Closed: 2021-02-24 15:29:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7201 0 None closed Bug 1893601: fix filesystem queries 2021-01-26 23:12:14 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:29:55 UTC

Comment 3 Robb Hamilton 2020-11-05 16:28:32 UTC
Reassigning to Rastislav since he's the dashboards expert.

Comment 5 Rastislav Wagner 2020-11-18 10:48:45 UTC
*** Bug 1812529 has been marked as a duplicate of this bug. ***

Comment 6 ralpert 2020-11-19 15:04:53 UTC
*** Bug 1894889 has been marked as a duplicate of this bug. ***

Comment 7 ralpert 2020-11-19 15:07:31 UTC
*** Bug 1894889 has been marked as a duplicate of this bug. ***

Comment 9 Yadan Pei 2020-11-23 06:20:02 UTC
Nodes page and Overview cluster utilization are using query:

Nodes page filesystem utilization: sum(node_filesystem_size_bytes{instance="<node>",mountpoint="/var"} - node_filesystem_avail_bytes{instance="<node>",mountpoint="/var"})

Cluster filesystem utilization: (sum(node_filesystem_size_bytes{mountpoint="/var"}) - sum(node_filesystem_free_bytes{mountpoint="/var"}))
Cluster filesystem utilization by Node: topk(25, sort_desc(sum(node_filesystem_size_bytes{mountpoint="/var"} - node_filesystem_avail_bytes{instance=~".*",mountpoint="/var"}) BY (instance)))

Comment 10 Yadan Pei 2020-11-23 06:21:22 UTC
the result is matching with the fix, verified on 4.7.0-0.nightly-2020-11-22-123106

Comment 14 Rastislav Wagner 2021-01-04 09:59:06 UTC
*** Bug 1896973 has been marked as a duplicate of this bug. ***

Comment 15 Rastislav Wagner 2021-01-04 10:00:52 UTC
*** Bug 1900067 has been marked as a duplicate of this bug. ***

Comment 16 Yaacov Zamir 2021-01-06 06:58:56 UTC
*** Bug 1910303 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2021-02-24 15:29:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.